Bug 507720 - ati: system freezes up on ATI Radeon Mobility M7 LW [Radeon Mobility 7500]
ati: system freezes up on ATI Radeon Mobility M7 LW [Radeon Mobility 7500]
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 17:45 EDT by Robert Peterson
Modified: 2009-11-19 08:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 08:59:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The Xorg.log from the failing system (28.33 KB, text/plain)
2009-06-23 17:45 EDT, Robert Peterson
no flags Details

  None (edit)
Description Robert Peterson 2009-06-23 17:45:46 EDT
Created attachment 349157 [details]
The Xorg.log from the failing system

Description of problem:
If I do startx on my laptop, the system freezes, requiring a hard boot.
It does not respond to <ctrl><alt><backspace> and such.
There are no "EE" messages in the Xorg.0.log.

Version-Release number of selected component (if applicable):
F11 latest, with the -191 kernel (but the older -167 did the same thing).

How reproducible:
Always

Steps to Reproduce:
1. startx
 
Actual results:
Complete system freeze/lockup/deadlock.

Expected results:
I would hope to see the gnome signon screen eventually.

Additional info:
Comment 1 Sean Middleditch 2009-08-28 21:22:35 EDT
Same thing happens for me on an HD4770.  Last messages I get after the list of devices is:

(II) Primary Device is: PCI 01@00:00:0
(II) [KMS] Kernel modesetting enabled.
(**) RADEON(0): Depth 24, (--) framebuffer bpp 32
(II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(==) RADEON(0): RGB weight 888
(II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
(--) RADEON(0): Chipset: "ATI Radeon HD 4770" (ChipID = 0x94b3)
(II) RADEON(0): PCIE card detected
(II) RADEON(0): KMS Color Tiling: disabled
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)

Using packages:
kernel-2.6.31-0.180.rc7.git4.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.2.20090821gitb1b77a4d6.fc12.x86_64
xorg-x11-server-Xorg-1.6.99-41.20090825.fc12.x86_64
Comment 2 Sean Middleditch 2009-10-02 20:43:27 EDT
The problem is resolved for me.
Comment 3 Matěj Cepl 2009-10-05 19:41:21 EDT
Reporter, could you confirm that after upgrade to the latest packages this problem has been resolved, please?

Thank you
Comment 4 Adam Williamson 2009-10-30 17:08:54 EDT
sean's hardware was utterly different, so probably not very relevant to this bug.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Matěj Cepl 2009-11-05 13:33:04 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Robert Peterson 2009-11-19 08:59:48 EST
I'm closing this because it's no longer applicable.  I don't even
remember the circumstances exactly.  I have two laptops: The one with
ATI Mobility pre-dates Pentium2 so I can't install F11 on it happily
unless I play games to install a non-PAE (586) kernel.  It worked
fine with F10, but was slow by today's standards.  I ditched it and
bought a new laptop and F11 works perfectly there.

Note You need to log in before you can comment on or make changes to this bug.